ccc

% enter centre frequency, bandwidth and output Z0
f0 = 45e6;
B = 15e6;
Z0 = 50;

% prototype element values from Zverev
g = [1.5576 1.7988 1.6588 1.3972 1.0550 0.6560 0.2225];

% centre angular frequency
w0 = 2*pi*f0;

% sort the elements into series and shunt...
g_series = g(1:2:end);
g_shunt = g(2:2:end);

disp('series elements');
L = round2(g_series .* Z0/(2*pi*B) * 1e9, 1)' %nH
C = round2(2*pi*B ./ (g_series * w0^2 * Z0) * 1e12, 1)' %pF

disp('shunt elements');
L = round2(2*pi*B*Z0 ./ (g_shunt * w0^2) * 1e9, 1)' %nH
C = round2(g_shunt ./ (2*pi*B*Z0) * 1e12, 1)' %pF
